<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/promotion.php';

date_default_timezone_set('Asia/Rangoon'); 
session_start();

$database = new Database();
$db = $database->getConnection();
 
$promotion = new Promotion($db);
$data = json_decode(file_get_contents("php://input"));
	
$promotion->name = $data->name;
$promotion->city = $data->city;	
$promotion->months = $data->months;	
$promotion->period_from = $data->period_from;
$promotion->period_to = $data->period_to;
$promotion->bandwidth = $data->bandwidth;
$promotion->package_price = $data->package_price;
$promotion->installation_fees = $data->installation_fees;
$promotion->extra_days = $data->extra_days;
$promotion->gift = $data->gift;
$promotion->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$promotion->entry_date_time = date("Y-m-d H:i:s");	

if($promotion->exist()){
	$arr = array(
		"message" => "duplicate"
	);
}else{
	foreach($data->details as $detail){
		$promotion->package = $detail->package;
		if(!$promotion->create()){
			$arr = array(
				"message" => "error"
			);
			echo json_encode($arr);
			die();
		}
	}
	$arr = array(
		"message" => "created"
	);
}
echo json_encode($arr);
?>